PROGRAM mur

IMPLICIT NONE
INTEGER, PARAMETER :: DP=kind(1.d0)
INTEGER :: npt=100

INTEGER :: i
REAL(DP) :: amin, amax, delta, a, omega
REAL(DP) :: e, emin, omega0, b0, b01

amin=9.7_DP
amax=10.7_DP
delta=(amax-amin) / npt
emin= -89.28909_DP
omega0= 265.6059861811561_DP
b0=962/147105.05401859523
b01=4.22_DP


DO i=1,npt
   a=amin+(i-1)*delta 
   omega= a**3/4.0_DP
   e=emin+(omega0 * b0) / b01 *( (1.0_DP / (b01-1.0_DP))*((omega0 / omega)** &
                (b01-1.0_DP)) + omega / omega0 ) - (omega0 *b0 / (b01-1.0_DP))
   write(6,'(2f20.10)') a, e
ENDDO

END PROGRAM mur
