set encoding iso_8859_15
set terminal postscript enhanced color  "Helvetica" 24
set output "si_cut_off.ps"
set key off

set ylabel 'energy (Ry)'
set xlabel 'E_{cut} (Ry)'
set yrange [-89.289:-89.288]
plot 'results_240/si_cut_off.dat' u 1:2 w l lw 3 lc rgb "red"
replot 'results_300/si_cut_off.dat' u 1:2 w l lw 3 lc rgb "green"
replot 'results_400/si_cut_off.dat' u 1:2 w l lw 3 lc rgb "blue"
