set encoding iso_8859_15
set terminal postscript enhanced solid color "Helvetica" 20
set output "si.bands.ps"
#
set key off

set xrange [0:4.280239]
dim0=-12
dim=6
set yrange [dim0:dim]
set arrow from 1,dim0 to 1,dim nohead  lw 2
set arrow from 2,dim0 to 2,dim nohead  lw 2
set arrow from 1.5,dim0 to 1.5,dim nohead  lw 2
set arrow from 3.4142,dim0 to 3.4142,dim nohead  lw 2
set ylabel "energy (eV)"
unset xtics
lpos=-12.5
set label "{/Symbol G}" at -0.05,lpos
set label "X" at 0.95,lpos
set label "W" at 1.45,lpos
set label "X" at 1.95,lpos
set label "{/Symbol G}" at 3.37,lpos
set label "L" at 4.1897,lpos

eref=6.210

plot "results/si.plot.1.1" u 1:($2-eref) w l lw 3 lc rgb "red",  "results/si.plot.1.2" u 1:($2-eref) w l lw 3 lc rgb "red",   "results/si.plot.1.4" u 1:($2-eref) w l lw 3 lc rgb "blue", "results/si.plot.1.5" u 1:($2-eref) w l lw 3 lc rgb "green", "results/si.plot.2" u 1:($2-eref) w l lw 3 lc rgb "red", "results/si.plot.3" u 1:($2-eref) w l lw 3 lc rgb "red", "results/si.plot.4.1" u 1:($2-eref) w l lw 3 lc rgb "red", "results/si.plot.4.2" u 1:($2-eref) w l lw 3 lc rgb "blue", "results/si.plot.4.3" u 1:($2-eref) w l lw 3 lc rgb "green", "results/si.plot.4.4" u 1:($2-eref) w l lw 3 lc rgb "cyan",   "results/si.plot.5.1" u 1:($2-eref) w l lw 3 lc rgb "red", "results/si.plot.5.3" u 1:($2-eref) w l lw 3 lc rgb "blue"
